import tomllib

from groovylight.geom import (
    Coord,
    DisplayDimensions,
    DisplayGeometry,
    DisplayRotation,
    DisplayString,
)


class Config:
    def __init__(self, file) -> None:
        self.conf = tomllib.load(file)
        print 

        self.geom = DisplayGeometry(strict=self.conf["display"]["strict"])
        for string in self.conf["display"]["strings"]:
            pos = Coord(**string['position'])
            dims = DisplayDimensions(**string["dimensions"])
            rot = DisplayRotation[string["rotation"]]
            disp = DisplayString(pos, dims, rot)
            self.geom.add_string(disp)
        self.network = self.conf['network']  # FIXME: parse this properly.
